org.apache.solr.common.params

## Interface DisMaxParams

    public interface DisMaxParams

A collection of params used in DisMaxRequestHandler, both for Plugin initialization and for Requests.

### Field Summary

Fields
`static String` `ALTQ` Alternate query (expressed in Solr QuerySyntax) to use if main query (q) is empty
`static String` `BF` query and init param for boosting functions
`static String` `BQ` query and init param for boosting query
`static String` `GEN` query and init param for field list
`static String` `MM` query and init param for MinShouldMatch specification
`static String` `PF` query and init param for phrase boost fields
`static String` `PF2` query and init param for bigram phrase boost fields
`static String` `PF3` query and init param for trigram phrase boost fields
`static String` `PS` query and init param for Phrase Slop value in phrase boost query (in pf fields)
`static String` `PS2` default phrase slop for bigram phrases (pf2)
`static String` `PS3` default phrase slop for bigram phrases (pf3)
`static String` `QF` query and init param for query fields
`static String` `QS` query and init param for phrase Slop value in phrases explicitly included in the user's query string ( in qf fields)
`static String` `TIE` query and init param for tiebreaker value

### Field Detail

#### TIE

    static final String TIE

query and init param for tiebreaker value

See Also:
  Constant Field Values

#### QF

    static final String QF

query and init param for query fields

See Also:
  Constant Field Values

#### PF

    static final String PF

query and init param for phrase boost fields

See Also:
  Constant Field Values

#### PF2

    static final String PF2

query and init param for bigram phrase boost fields

See Also:
  Constant Field Values

#### PF3

    static final String PF3

query and init param for trigram phrase boost fields

See Also:
  Constant Field Values

#### MM

    static final String MM

query and init param for MinShouldMatch specification

See Also:
  Constant Field Values

#### PS

    static final String PS

query and init param for Phrase Slop value in phrase boost query (in pf fields)

See Also:
  Constant Field Values

#### PS2

    static final String PS2

default phrase slop for bigram phrases (pf2)

See Also:
  Constant Field Values

#### PS3

    static final String PS3

default phrase slop for bigram phrases (pf3)

See Also:
  Constant Field Values

#### QS

    static final String QS

query and init param for phrase Slop value in phrases explicitly included in the user's query string ( in qf fields)

See Also:
  Constant Field Values

#### BQ

    static final String BQ

query and init param for boosting query

See Also:
  Constant Field Values

#### BF

    static final String BF

query and init param for boosting functions

See Also:
  Constant Field Values

#### ALTQ

    static final String ALTQ

Alternate query (expressed in Solr QuerySyntax) to use if main query (q) is empty

See Also:
  Constant Field Values

#### GEN

    static final String GEN

query and init param for field list

See Also:
  Constant Field Values